kind: pipeline
type: docker
name: default
steps:
  - name: deploy
    image: docker/compose
    volumes:
      - name: cache
        path: /var/run/docker.sock
    commands:
      - docker-compose up -d --build
    when:
      branch:
        - master
      event:
        - push
volumes:
  - name: cache
    host:
      path: /var/run/docker.sock